Package org.kapott.hbci.datatypes

## Class SyntaxAN

- java.lang.Object
- - org.kapott.hbci.datatypes.SyntaxDE
  - - org.kapott.hbci.datatypes.SyntaxAN

Direct Known Subclasses:
  `SyntaxCode`, `SyntaxDTAUS`, `SyntaxID`, `SyntaxJN`

    public class SyntaxAN
    extends SyntaxDE

### Constructor Summary

Constructors
`protected` `SyntaxAN()`
`` `SyntaxAN​(java.lang.StringBuffer res, int minsize, int maxsize)`
`` `SyntaxAN​(java.lang.String x, int minlen, int maxlen)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `init()`
`void` `init​(java.lang.StringBuffer res, int minlen, int maxlen)`
`void` `init​(java.lang.String x, int minlen, int maxlen)`
`protected static java.lang.String` `quote​(java.lang.String x)`
`java.lang.String` `toString​(int zero)`
`protected static java.lang.String` `unquote​(java.lang.String st)`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, setContent, skipPreDelim, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyntaxAN

    public SyntaxAN​(java.lang.String x,
                    int minlen,
                    int maxlen)

See Also:
  `SyntaxDE`

#### SyntaxAN

    protected SyntaxAN()

See Also:
  `SyntaxDE`

#### SyntaxAN

    public SyntaxAN​(java.lang.StringBuffer res,
                    int minsize,
                    int maxsize)

Parameters:
  `res` - A part of the HBCI-message to be parsed. From this (sub-)string the first token will be used to initialize the data element.
  `minsize` - The minimum string length for this element.
  `maxsize` - The maximum string length for this element (or zero). See SyntaxDE::setContent(String,int,int,int).

### Method Detail

#### quote

    protected static java.lang.String quote​(java.lang.String x)

Parameters:
  `x` - The String to be quoted.
Returns:
  A String where all HBCI-specific characters in @p x are quoted using @c ?

#### init

    public void init​(java.lang.String x,
                     int minlen,
                     int maxlen)

Overrides:
  `init` in class `SyntaxDE`

#### init

    protected void init()

Overrides:
  `init` in class `SyntaxDE`

#### toString

    public java.lang.String toString​(int zero)

Overrides:
  `toString` in class `SyntaxDE`
Parameters:
  `zero` - Just a dummy argument to overload the toString method.
Returns:
  A String containing the HBCI representation of this data element
See Also:
  `SyntaxDE`

#### init

    public void init​(java.lang.StringBuffer res,
                     int minlen,
                     int maxlen)

Overrides:
  `init` in class `SyntaxDE`

#### unquote

    protected static java.lang.String unquote​(java.lang.String st)

Parameters:
  `st` - the String to be unquoted
Returns:
  an unquoted string, i.e. with all HBCI-quotes (?) removed